#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define 	module	ipaddress
Summary:	IPv4/IPv6 manipulation library
Name:		python-%{module}
Version:	1.0.6
Release:	1
License:	PSF
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/i/ipaddress/%{module}-%{version}.tar.gz
# Source0-md5:	a869a0c03f03961c714046a579e38e68
URL:		https://pypi.python.org/pypi/ipaddress/
BuildRequires:	python-devel
BuildRequires:	python-distribute
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPv4/IPv6 manipulation library.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build --build-base build-2 %{?with_tests:test}

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py \
	build --build-base build-2 \
	install --skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%{py_sitescriptdir}/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/ipaddress-*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Fri May 30 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ipaddress.git;a=log;h=master

* Fri May 30 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b365266
- initial

